import gdal, gdalconst
import numpy as np

driver = driver = gdal.GetDriverByName("ENVI")

new_im = driver.Create('c:/test_nogeotrans.bsq', 10, 10, 1)
arr = np.arange(100).reshape((10, 10))
b = new_im.GetRasterBand(1)
b.WriteArray(arr)
b.FlushCache()
new_im.SetDescription("Description here!")
new_im.FlushCache()
del new_im

new_im = driver.Create('c:/test_withgeotrans.bsq', 10, 10, 1)
arr = np.arange(100).reshape((10, 10))
b = new_im.GetRasterBand(1)
b.WriteArray(arr)
b.FlushCache()
new_im.SetDescription("Description here!")
new_im.SetGeoTransform((1, 2, 3, 4, 5, 6))
new_im.FlushCache()
del new_im